Subject: Re: [PATCH 1/8] networking/fanotify: declare fanotify socket numbers

From: Evgeniy Polyakov <[email-masked]>
Date: Mon, 14 Sep 2009 18:07:20 +0400

On Mon, Sep 14, 2009 at 01:17:59AM +0100, Jamie Lokier ([email-masked]) wrote:
> > When queue is full or you do not have enough RAM. Both are reported at
> > 'sending' time.
> 
> Can you ->poll() and wait reliably until the queue will accept an skb?
> (A few spurious EAGAINs/ENOBUFs is ok, as long as it's not the norm).

Not that simple and for memory allocation error just can't.

There is no direct access to remote peer sockets, i.e. to userspace
ones, so one will have to lock netlink table and run over listeners and
check whether they can accept the message and wait/poll for queue size
to become big enough. Netlink table and its locking is not exported,
so effectively there is no simple way to do this.

-- 
	Evgeniy Polyakov